hpp-corbaserver: Problem Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Problem Class Reference

`#include <hpp/corbaserver/problem-idl.hh>`

Inheritance diagram for Problem:
[legend]
Collaboration diagram for Problem:
[legend]

## Public Types
typedef Problem_ptr | _ptr_type
typedef Problem_var | _var_type
typedef Problem_ptr | _ptr_type
typedef Problem_var | _var_type

## Public Member Functions
virtual | ~Problem ()
inline ::hpp::corbaserver::Problem_ptr | _this ()
virtual | ~Problem ()
inline ::hpp::core_idl::Problem_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type [1/2]

typedef Problem_ptr Problem::_ptr_type

## ◆ _ptr_type [2/2]

typedef Problem_ptr Problem::_ptr_type

## ◆ _var_type [1/2]

typedef Problem_var Problem::_var_type

## ◆ _var_type [2/2]

typedef Problem_var Problem::_var_type

## Constructor & Destructor Documentation

## ◆ ~Problem() [1/2]

virtual Problem::~Problem | ( |  | ) |
| virtual

## ◆ ~Problem() [2/2]

virtual Problem::~Problem | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate() [1/2]

static _ptr_type Problem::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _duplicate() [2/2]

static _ptr_type Problem::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef() [1/2]

static _ptr_type Problem::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _fromObjRef() [2/2]

static _ptr_type Problem::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef() [1/2]

static void Problem::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _marshalObjRef() [2/2]

static void Problem::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow() [1/2]

static _ptr_type Problem::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _narrow() [2/2]

static _ptr_type Problem::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil() [1/2]

static _ptr_type Problem::_nil | ( |  | ) |
| static

## ◆ _nil() [2/2]

static _ptr_type Problem::_nil | ( |  | ) |
| static

## ◆ _this() [1/2]

inline ::hpp::corbaserver::Problem_ptr Problem::_this | ( |  | ) |
| inline

## ◆ _this() [2/2]

inline ::hpp::core_idl::Problem_ptr Problem::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow() [1/2]

static _ptr_type Problem::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unchecked_narrow() [2/2]

static _ptr_type Problem::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef() [1/2]

static _ptr_type Problem::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## ◆ _unmarshalObjRef() [2/2]

static _ptr_type Problem::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

static _core_attr const char * Problem::_PD_repoId
| static

The documentation for this class was generated from the following files:

- src/hpp/corbaserver/problem-idl.hh
- src/hpp/core_idl/_problem-idl.hh